Description

One for the coders, please can you check if these bugs are present?

From post on atariage...

http://atariage.com/forums/topic/256683-altirra-280-released/page-24#entry3760704

Let me report a couple of issues with POKEY chip in Altirra that I've found

1. Setting POKEY registers as follows

AUDF1=100

AUDC1=175

AUDF3=0

AUDC3=0

AUDCTL=5

SKCTL=3

should cause it to generate a narrow impulse train. It seems to work reliably

on a real hardware, however on Altirra it sometimes works correctly and

sometimes it doesn't. Sometimes the impulse train is generated but it is very

quiet. Most often no sound is produced at all.

2. Behavior of a low timer in a linked timers pair is incorrect when timers

are driven by 64 kHz or 15 kHz clock (it's OK with 1.79 MHz clock).

For example

AUDF1=33

AUDC1=170

AUDF2=1

AUDC2=0

AUDCTL=16

SKCTL=3

the generated sound is wrong and is disturbed by keystrokes. This happens only

when timer emulation is in deferred mode. Forcing it to go out of deferred

mode by enabling interrupts for timer 1 fixes the problem.

3. The pitch of a square wave generated with the following settings

AUDF1=99

AUDC1=170

AUDF2=199

AUDC2=0

AUDCTL=0

SKCTL=139

is one octave lower than it should be.

4. Altirra doesn't implement additional two-cycle delay when timers 1 and 2

are linked and two-tone mode is enabled at the same time.

For example, with the following settings:

AUDF1=10

AUDC1=0

AUDF2=0

AUDC2=136

AUDCTL=208

SKCTL=139

the pitch is too high by almost 2 semitones.

Related issues:

Related to Bug #41: Core 8 - the backgound music in Gene & LMS demos are not ... New 06/06/2017
History

#1 - 06/07/2017 01:06 PM - foft

- Related to Bug #41: Core 8 - the backgound music in Gene & LMS demos are not the same as on a real ATARI  added

#2 - 06/07/2017 02:13 PM - ndary

I Confirm that these Audio tests sound the same on a real Atari and on EclairXL board

Nir

#3 - 06/07/2017 05:33 PM - foft

- Status changed from New to Closed

Many thanks Nir
